// JavaScript Document

function isEmpty(mit) {
  if ((mit.length == 0) || (mit == null)) 
  {
	return true;
  }
  else 
  {
	return false;
  }
}

function ellenoriz() 
{
  var mehet = 1;
  var emcim = document.urlap.emailcim.value;
  
  if (mehet == 1 && isEmpty(document.urlap.veznev.value)) 
  {
	mehet = 0;
	document.urlap.veznev.focus();
	alert('Kérlek add meg a vezetéknevedet!');
  }
  else if (mehet == 1 && isEmpty(document.urlap.kernev.value)) 
  {
	mehet = 0;
	document.urlap.kernev.focus();
	alert('Kérlek add meg a keresztnevedet!');
  }
  else if (mehet == 1  && emcim.length < 5) 
  {
	mehet = 0;
	document.urlap.emcim.focus();
	alert('Helytelen e-mail cím!');
  }
  else if (mehet == 1  && emcim.indexOf("@") < 1) 
  {
	mehet = 0;
	document.urlap.emcim.focus();
	alert('Helytelen e-mail cím!');
  }
  else if (mehet == 1  && emcim.length - emcim.indexOf("@") < 6) 
  {
	mehet = 0;
	document.urlap.emcim.focus();
	alert('Helytelen e-mail cím!');
  }
  else if (mehet == 1 && isEmpty(document.urlap.jelszo.value)) 
  {
	mehet = 0;
	document.urlap.jelszo.focus();
	alert('Kérlek add meg a jelszavad!');
  }
  else if (mehet == 1 && isEmpty(document.urlap.irszam.value)) 
  {
	mehet = 0;
	document.urlap.irszam.focus();
	alert('Kérlek add meg az irányítószámodat!');
  }
  else if (mehet == 1 && isEmpty(document.urlap.helyseg.value)) 
  {
	mehet = 0;
	document.urlap.helyseg.focus();
	alert('Kérlek add meg a helysegnevet!');
  }
  else if (mehet == 1 && isEmpty(document.urlap.utca.value)) 
  {
	mehet = 0;
	document.urlap.utca.focus();
	alert('Kérlek add meg az utcádat!');
  }
  else if (mehet == 1 && isEmpty(document.urlap.hszam.value)) 
  {
	mehet = 0;
	document.urlap.hszam.focus();
	alert('Kérlek add meg a házszámodat!');
  }

  if (mehet == 1) 
  {
	document.urlap.submit();
  }
  else 
  {
	document.urlap.elkuldgomb.value='Regisztráció!';
	document.urlap.elkuldgomb.disabled=false;
  }
}